<?php

namespace Drupal\document_ocr\Plugin\views\field;

use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;
use Drupal\document_ocr\DocumentOcrInterface;

/**
 * A handler to provide a field that displays task status.
 *
 * @ViewsField("document_ocr_task_status")
 */
class Status extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function usesGroupBy() {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function query() {
    // Do nothing -- to override the parent query.
  }

  /**
   * {@inheritdoc}
   */
  public function render(ResultRow $values) {
    if ($task = $values->_entity) {
      switch ($task->getTaskStatus()) {
        case  DocumentOcrInterface::TASK_STATUS_INIT:
          return $this->t('Initiated');
          break;
        case  DocumentOcrInterface::TASK_STATUS_PENDING:
          return $this->t('Pending');
          break;
        case  DocumentOcrInterface::TASK_STATUS_PROCESSED:
          return $this->t('Processed');
          break;
        case  DocumentOcrInterface::TASK_STATUS_FAILED:
          return $this->t('Failed');
          break;
        default:
          return $this->t('N/A');
          break;
      }
    }
  }

}
